package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: GradeDistributeResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/23
 */
public class GradeDistributeFinalResult implements Serializable {

    @ApiModelProperty(value = "SurveyTeacherExamCourseResult")
    private SurveyTeacherExamCourseResult scoreAndRate;

    @ApiModelProperty(value = "GradeDistributeResult")
    private List<GradeDistributeResult> grades;//全体卷面成绩

    @ApiModelProperty(value = "GradeDistributePaperResult")
    private List<GradeDistributePaperResult> paperGrades;//全体卷面成绩

    @ApiModelProperty(value = "GradeDistributeCurrentAssignedResult")
    private List<GradeDistributeCurrentAssignedResult> currentAssignedGrades;//应届赋分成绩

    public GradeDistributeFinalResult() {

    }

    public GradeDistributeFinalResult(SurveyTeacherExamCourseResult scoreAndRate, List<GradeDistributeResult> grades, List<GradeDistributePaperResult> paperGrades, List<GradeDistributeCurrentAssignedResult> currentAssignedGrades) {
        this.scoreAndRate = scoreAndRate;
        this.grades = grades;
        this.paperGrades = paperGrades;
        this.currentAssignedGrades = currentAssignedGrades;
    }

    public List<GradeDistributeCurrentAssignedResult> getCurrentAssignedGrades() {
        return currentAssignedGrades;
    }

    public void setCurrentAssignedGrades(List<GradeDistributeCurrentAssignedResult> currentAssignedGrades) {
        this.currentAssignedGrades = currentAssignedGrades;
    }

    public List<GradeDistributePaperResult> getPaperGrades() {
        return paperGrades;
    }

    public void setPaperGrades(List<GradeDistributePaperResult> paperGrades) {
        this.paperGrades = paperGrades;
    }

    public SurveyTeacherExamCourseResult getScoreAndRate() {
        return scoreAndRate;
    }

    public void setScoreAndRate(SurveyTeacherExamCourseResult scoreAndRate) {
        this.scoreAndRate = scoreAndRate;
    }

    public List<GradeDistributeResult> getGrades() {
        return grades;
    }

    public void setGrades(List<GradeDistributeResult> grades) {
        this.grades = grades;
    }
}
